package com.taover.util;

import java.text.DecimalFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

public class UtilDate {	
	public static String getWeekCnByIndex(int index){
		String weekDay[] = new String[]{"星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"};
		return weekDay[index];
	}
	
	/**
	 * 计算周开始时间，gap=0表示当前周，gap=-1表示上一周，依次类推
	 * @param gap
	 * @return
	 */
	public static Date getDateWeekBegin(int gap){
		Date result = new Date();
		Calendar currCal = Calendar.getInstance();
		currCal.setWeekDate(currCal.getWeekYear(), currCal.get(Calendar.WEEK_OF_YEAR)+gap, Calendar.MONDAY);
		result = currCal.getTime();
		return result;
	}
	
	/**
	 * 计算周开始时间，gap=0表示当前周，gap=-1表示上一周，依次类推
	 * @param gap
	 * @return
	 */
	public static Date getDateWeekSome(int gap, int someWeekDay){
		Date result = new Date();
		Calendar currCal = Calendar.getInstance();
		currCal.setWeekDate(currCal.getWeekYear(), currCal.get(Calendar.WEEK_OF_YEAR)+gap, someWeekDay);
		result = currCal.getTime();
		return result;
	}
	
	/**
	 * 计算月开始时间，gap=0表示当前月，gap=-1表示上一月，依次类推
	 * @param gap
	 * @return
	 */
	public static Date getDateMonthBegin(int gap){
		Date result = new Date();
		Calendar currCal = Calendar.getInstance();
		currCal.set(currCal.get(Calendar.YEAR), currCal.get(Calendar.MONTH)+gap, 1);
		result = currCal.getTime();
		return result;
	}
	
	public static void main(String args[]){
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
		//System.out.println(sdf.format(getDateMonthBegin(-1)));
		DecimalFormat dFormat=new DecimalFormat("#.00"); 
		System.out.println(dFormat.format((Double.valueOf("2.123123123")/123.212*100)));
	}
}
