package com.taover.util.bean;

public class ResultInfoException extends RuntimeException {
	private static final long serialVersionUID = 1L;
	
	private String code;
	private String error;
	private Object data;
	
	protected ResultInfoException(String code, String error, Object data){
		this.code = code;
		this.error = error;
		this.data = data;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getError() {
		return error;
	}

	public void setError(String error) {
		this.error = error;
	}

	public Object getData() {
		return data;
	}

	public void setData(Object data) {
		this.data = data;
	}
	
	public ResultInfo toResultInfo() {
		return new ResultInfo(code, error, data);
	}
}
